{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "nix-shell-cargo-build-dev",
            "type": "shell",
            "command": "nix-shell",
            "args": [
                "--run",
                "cargo build --features dev"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": []
        },
        {
            "label": "nix-shell-cargo-build-release",
            "type": "shell",
            "command": "nix-shell",
            "args": [
                "--run",
                "cargo build"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            },
            "problemMatcher": []
        },
        {
            "label": "check rust formatting",
            "type": "shell",
            "command": "nix-shell",
            "args": [
                "--run",
                "steam-run cargo fmt --all -- --check"
            ]
        },
        {
            "label": "format rust",
            "type": "shell",
            "command": "nix-shell",
            "args": [
                "--run",
                "steam-run cargo fmt --all"
            ]
        },
        {
            "label": "generate docs",
            "type": "shell",
            "command": "nix-shell",
            "args": [
                "--run",
                "cargo doc"
            ]
        }
    ]
}